Intrepid & Powerful Administrator / DevOps -NL- Engineer -NL- **`Personal data`[PERSONAL_DETAILS_HEADING]** -NL- **`Bayram Zengin`[NAME]** -NL- Quettigstrasse 10, 76530 Baden-Baden -NL- Mobile **`+49 179 367 07 16`[PHONES_PHONE]** -NL- **`bazengin@hotmail.com`[EMAILS_EMAIL]** -NL- Born in 1971 -NL- Blog: http://bayramzengin.wordpress.com -NL- https://www.linkedin.com/in/bayram-zengin-0a4005152/ -NL- https://app.plum.io/profile/54d2da02db266dfd81e466b225a20b927a6ccb25 -NL- Terms: -NL- Idempotency … Immutability … Scalability -NL- At a glance -NL- 1. Docker and Docker Tool Suite implementation and administration (Docker Engine, Docker Hub, Docker Trusted Registry, Docker -NL- Machine, Docker Cloud, Docker Compound, Docker Compose, Docker Datacenter, Docker Swarm, Kubernetes, swarmkit, HELM, -NL- kops, kube-dns,kube-dns-autoscaler) -NL- 2. Modern Software Delivery (Requirements, Design, Construction, Testing, Troubleshooting, Deployment, Maintenance) -NL- 3. Security Consulting in the banking sector -NL- 4. Development and support of classic CI / CD environments (Source repository, CI Server, Multiple Environments (INT, UAT, -NL- Staging, PROD etc.), IaC, Service Discovery, Health Monitoring, Auto-Healing, Routing, Load Balancing, Blue Green Deployments, -NL- Canary Releases, Centralized Logging & Monitoring, SLAs, Numbers and Metrics Indicating Health -NL- 5. Focus on UNIX / LINUX administration with focus on automation, monitoring, security, DevOps etc. -NL- 6. Several years of experience in the administration of Microsoft Windows client / server environments (2000 - 2016 server as well -NL- as all Windows Workstation versions, HyperV) -NL- 7. 16 years experience in the administration of databases (Oracle, MSSQL, MySQL, PostgreSQL) and NoSQL databases (MongoDB) -NL- 8. 16 years experience in various programming languages (Bash / Shell, Perl, Python, C / C ++, Java, JavaScript, Ruby) -NL- 9. 10 years experience in the administration of virtualization solutions (VMWare, VirtualBox, Hyper V) -NL- 10. Very good knowledge of middleware administration (JBoss, Apache, Tomcat, Websphere, WebLogic) -NL- 11. 15 years experience in network technologies (Cisco, JunOS, LoadBalancer, Security, PaloAlto) -NL- 12. Cloud Computing IaaS, PaaS, SaaS (Google Cloud Compute, Amazon AWS EC2, Reh Hat Open Shift) and Cloud Security (OWASP -NL- 2017), Secure IaC, Container Management and Orchestration -NL- 13. AWS Certified Solutions Architect Associate (IAM, EC2, S3, CloudFront, RDS, DynamoDB, VPC, EFS, CloudFormation, OpsWorks, -NL- Simple Queue Service, Simple Workflow Service, Simple Notification Service, CloudWatch, Big Data Solutions, API Gateway, -NL- Deployments , ElasticCache, AWS Command Line Interface (CLI), DynamoDB, CloudWatch, Route 53, Backup & Disaster Recovery, -NL- AWS Elastic Load Balancing, Auto Scaling, Cloud Trail, Architecture Design, Security, Direct Connect, CloudFront) -NL- Technical qualification profile -NL- Programming Languages -NL- Java, Java servlets, JSP, JDBC 10 years ++ -NL- Scripting languages: Perl/CGI/TK/XS, bash 15 years ++ -NL- Web development: JavaScript, PHP, Asp.Net 10 years ++ -NL- C/c++ 10 years ++ -NL- Databases -NL- MSSQL 10 years +++ -NL- Oracle 15 years +++ -NL- MySQL 10 years +++ -NL- Network Topologies -NL- TCP/IP, LAN/WAN, Intranet/Internet 15 years +++ -NL- **`Additional`[OTHERS_HEADING]** -NL- Git, SVN, CVS 6 years +++ -NL- Apache, IIS 6 years ++ -NL- Puppet, docker, vagrant, chef, Ansible 6 years +++ -NL- Nagios, BigBrother 10 +++ -NL- Positions -NL- January 2018 - -NL- Project: **`CCC Transition and Transformation`[PROJECT_TITLE]** - DevOps -NL- Building ERGO cloud platform -NL- AWS Administrator -NL- * aws cli configured -NL- * Migrations of EBS volumes planned / executed (unencrypted-to-encrypted-volumes) -NL- * EBS Snapshots created -NL- * Manual backup of the AMIs performed -NL- * various shell scripts created / implemented / documented (backup, monitoring etc.) -NL- * ephemeral storage points migrated to ebs volumes -NL- * VPCs created / administered for the various projects -NL- * Created and implemented with Policy Creation Tool IAM guidelines -NL- * ActiveDirectory on AWS set up / administered / documented -NL- * Logging configured (vpc network traffic, elastic load balancer, cloud front, data access s3) -NL- * ELB configured for different zones -NL- * JSONfiles created for CloudFormation (VM instances, creating security groups, subnets on vpcs) -NL- * YAMLfiles created for CodeDeploy -NL- * -NL- Ubuntu 16.04 / Debian Jessie 8 / RHEL & CentOs7 Administration -NL- * General Administrative Tasks -NL- * Bash programming for the automation of infrastructure tasks -NL- * Networking configured -NL- * DHCP / DNS Server installed / configured / administered documented -NL- * Squid (proxy) server installed / configured / administered documented -NL- * NTP server installed / configured / administered documented -NL- * LoadBalancing (HAProxy) installed / configured / administered documented -NL- * TCP / IP stack adapted (kernel) -NL- * OpenVPN installed / configured / administered documented -NL- * Firewall installed / configured / administered documented -NL- * Hardened against BrutForceAttacks (fail2ban) -NL- * Ubuntu / debian systems "hardened" -NL- * NGINX documented as reverse proxy installed / configured / administered -NL- * NGINX documented as LoadBalancer installed / configured / administered -NL- * HTTPS documented in NGINX installed / configured / administered -NL- * Performance tuning Apache / NGINX incl. Load scenarios -NL- * Implemented hardening measures for the used web servers (Apache / NGINX) -NL- * Network Storage (Samba, NFS, FTP) installed / configured / administered documented -NL- * Data synchronization with Rsync implemented (scripted!) -NL- * OpenStack installed / configured / administered documented on Ubuntu -NL- * Juju framework installed / configured / administered documented -NL- * DockerImages customized with Packer -NL- * Dockerfiles created for the various Ihouse projects including HealthChecks -NL- * policy-rc.d script created for init-control -NL- * documented for testing purposes OpeStack (devstack) on debian / ubuntu installed / configured / administered -NL- * configured and administered with mdadm raids -NL- * Data encrypted with losetup and cryptsetup (twofish256) -NL- * yum clients configured, repos / configured and administered, bugfixed -NL- * npt / ntpd installed on centos 7 / configured / documented -NL- * docker repos in centos 7 entered -NL- * strace used for debugging programs -NL- * Apparmor installed / configured / administered documented -NL- * Unit Files written for systemd with focus on cubes -NL- * -NL- Windows 2012/2016 Server Administrator -NL- * mmc and snap-ins managed -NL- * IIS installed / configured / administered and documented -NL- * made with adsiedit.msc changes / configurations -NL- * Active Directory Certificate Services installed / documented / administered documented -NL- - Certification office of ERGO installed / configured / administrated documented -NL- - Check installation of root certificate -NL- - Certificate templates used -NL- - CRL distribution points configured -NL- - OnlineResponder installed and configured -NL- - Implemented administrative role separation -NL- - Backup / restore for enterprise CA implemented (backups pulled and restored) -NL- * Certificates managed -NL- - Certificates purchased and installed -NL- - managed templates -NL- - Provision / validation and revocation of certificates implemented -NL- - Key archiving and recovery configured -NL- - Certificates for hyper v implemented -NL- Database Administration -NL- * General Administration of Relational and Object-Relational Databases (MySQL / MongoDB) -NL- Kubernetes installation on AWS with kops -NL- * User created and adjusted IAM Permissions -NL- * Route53 domain created for cluster -NL- * S3 storage created for cluster -NL- * Cluster configuration created -NL- * Cluster created in AWS -NL- * Volume management (creation of snapshots, copies and encryption of existing volumes and configuration for the existing -NL- application) -NL- * Migration of the existing K8s Cluster to KMS (Cluster Downtime) Script-based -NL- * Worked with pods, replication controllers, services, volumes, secrets, names, namespaces, labels and selectors -NL- * Container scaled -NL- * Port adjustments made -NL- * Configurationfiles edited -NL- * etcd cluster installed / configured / administered documented -NL- * Kubernetes installed on AWS, master controller installed / configured, minions installed / configured, documented procedure -NL- * implemented VPC and subnet -NL- * kubeadm used for cluster - aministration -NL- * cubic system config adapted -NL- * etcd configuration adjusted -NL- * used forge tool used for source deployments -NL- * helmet installed and used for the deployments -NL- * created with kubeadm cluster (installed / configured / administrated documented) -NL- * Kubernetes Cluster Federation established (learning / test purposes ... not productive kubefed nor alpha stage) -NL- * several application instances implemented (horizontal pod scaling) -NL- * -NL- debian / Ubuntu System Administration -NL- * docker, docker-machine, docker-compose installed and configured -NL- * aws cli tools installed and configured (iclusive troubleshooting!) -NL- Docker Administration -NL- * Docker & Docker Swarm Security -NL- - Security checklist created and implemented -NL- - Docker container installed / configured / administrated documented -NL- - Docker Images installed / configured / administered documented -NL- - Application images installed / configured / administrated documented -NL- - Multihost container with Falnnel installed / configured / administered documented -NL- - IPv6 addresses documented in container installed / configured / administered -NL- - Container Linking installed / configured / administrated documented -NL- - docker compose installed and deployments documented with docker compose to cubes configured / administered -NL- - created and implemented seccomp profile -NL- - docker private registry created / configured with ssl -NL- - -NL- GIT hosting -NL- - GIT repos created -NL- - GIT synchronization configured / administrated documented -NL- - GIT repo clones created / implemented / cofigured -NL- - Gitlab installed -NL- - User Administration taken over -NL- - Automation work carried out -NL- Kubernetes -NL- * Kubernetes deployment / runtime security checklist created and implemented -NL- * Cluster installed on AWS (scripted with Ansible!) -NL- * Cluster Upgrades (kops) (prepared and technically upgraded) -NL- * Addon Cluster Autoscaler rolled out -NL- Nexus -NL- * Nexus Repository Manager 3 installed, configured and maintained -NL- Tools: -NL- Elasticsearch, Fluentd, Kibana, Docker, Kubernetes, HELM, kops, AWS, Google Authenticator, Chaos Monkey, Grafana, Prometheus, -NL- Kubernetes Nodes cluster autoscaler addon, github readme instant preview, -NL- Redis, Redis Desktop Manager, Circleci, Kibana, kube-aws, jq1.5, ELB (Elastic Load Balancing), Terraform (TF), jmespath terminal, -NL- Git, Bash / Shell, Apache / NGINX Webservers, YAML / JSON, ElasticSearch Marvel -NL- Grafana, Python, Ansible, Vagrant, Veewee, Heroku, docker-machine, docker-swarm, ipfire distro, adsiedit.msc, boto3, kanban -NL- board, JSON, cURL, Single Sign On, CloudTrail, kubeless, bane, sysdig falco, Hashicorp Vault -NL- hyperkube, Portainer Management UI for Docker, Logstash, etcdctl, Terraform -NL- Docker Images preinstalled (kubectl, aws cli, helmet, python, kops, ansible 2.3.0.0) -NL- Created various bash scripts for migration ... migration of the cluster to kms -NL- Experimented Kubefed addon for Kubernetes -NL- Kubernetes Application Packages created with HELM -NL- New deployments implemented with yaml / jsonfiles and these rolled out -NL- For the deployments rolling updates and rollbacks implemented -NL- Scalable-Microservices-with-Kubernetes as taught by my main man Kelsey Hightower -NL- I am a Docker hacker! -NL- The agile manifesto -NL- September 2017 - October 2017 -NL- **`EDEKA`[EMPLOYER_COMPANY_NAME]** Minden,**` Patch Management and Process Analysis & Optimization of Living Processes`[EMPLOYER_ROLE]** -NL- Project Phase I: -NL- - Actual validation of all systems (CIS) in GH and EH in relation to OS, system-related SW -NL- - Actual recording of the respective patch methods and problems used -NL- - Actual recording of the respective criticality of the cis in the service tree as well as the threat situation for the CI or CI type -NL- - Actual capture organization and processes -NL- - Embedding the systems to be patched into services and using change, release and deployment management as the core process -NL- for patch management -NL- - Use Cases defined with focus on security threads, OS patches, OS updates, system-related software) -NL- - Solution developed and presented for concept, architecture, crash barriers, processes, interfaces etc. -NL- Aim: -NL- - Detection of security threads -NL- - Initiate a process to take standardized measures including risk management -NL- - Procurement of necessary patches fixes/ / updates (as automatically as possible) -NL- - Testing and release of the patch fixes/ / updates -NL- - Rollout of patches /fixes / updates (project team) -NL- - Documentation -NL- - Audits -NL- - Possibly. Suggest and introduce tools -NL- * Is presented representation systems and sources of danger -NL- Project Phase II: -NL- - Implementation of the concept (project team) (October / November) -NL- July 2017 - September 2017 -NL- **`VHV`[EMPLOYER_COMPANY_NAME]** Hannover, **`software and application operation`[EMPLOYER_ROLE]** (Middleware) -NL- - LINUX (SLES11 / 12, RedHat / CentOS, Ubuntu) system administration -NL- * Implemented and administered load balancing with HAProxy -NL- * Tuning measures for the TCP stack performed (ulimit, sysctl.con) -NL- * Web server performance benchmarking / testing (ab, httperf, perfkit, wrk, h2load) -NL- * Tomcat Application Server installed according to the specification of the development department and prepared for the -NL- deployment of new applications -NL- * Apache SSL encryption enabled -NL- * Advanced security techniques including 2FA and secure passwords -NL- * Server with SSH, apparmor and sudo, secured to limit damage that attackers can wreak, and set up remote syslog servers -NL- * Set up VPNs with OpenVPN and use SSH to tunnel traffic when VPNs can not be used -NL- * Software Load Balancer prepared / configured to terminate the SSL / TLS connections to initiate new downstream SSL / TLS -NL- connections -NL- * Secure Apache and Nginx web servers and full HTTPS usage implemented -NL- * Advanced web server hardening performed with HTTPS Forward Secretcy and ModSecurity Web Application Firewalls -NL- * E-mail security worked out through SMTP relay authentication, SMTPS, SPF records, DKIM and DMARC -NL- * DNS server secured to prevent DDoS attacks and DNSSEC fully implemented -NL- * Systematic protection of databases through network access control, TLS traffic encryption and encrypted data storage -NL- * Performance monitoring and tuning of Linux servers -NL- - Identification of bottlenecks -NL- - The correct interpretation of the collected metrics and information -NL- - Performance optimization through CPU profiling -NL- - Visualization of metrics / reports -NL- - I / O tracing etc. -NL- - WINDOWS 2008 / 2012R2/2016 (HyperV) operating system administration -NL- * Group Policy objects -NL- - Tomcat Administration -NL- * Tomcat installed -NL- * StartStop Tomcat Instance -NL- * Ports configured -NL- * Servlets compiled -NL- * Mapping -NL- * Servlets started and administered -NL- * JSP started -NL- * Web applications deployed -NL- * Security configured -NL- DevOps -NL- * Kubernetes -NL- * Puppet -NL- * Docker -NL- - Dockerfiles for different web applications created (in consultation with the respective specialist teams) -NL- - Flask applications in containers "packed" -NL- - Container links created and configured -NL- - Automated with Docker Compose Workflows -NL- - -NL- * Jenkins -NL- - Jenkins installed via package installed -NL- - Missing plugins installed (Build Pipeline Plugin, Job DSL Plugin ...) -NL- - Job Descriptions written (DSL) -NL- - Auto Deployment configured via Jenkins -NL- - -NL- Security -NL- Cooperation: -NL- RelEx - TP0 Compass Hedging -NL- Problem description and objective: -NL- The processing of health data in the application process requires comprehensive protection of all external interfaces with -NL- connection to the Compass system. -NL- Created on Citrix NetScaler VPX CR and installed SSL certificates -NL- Conditions: -NL- The following requirements are to be met by the security concept: -NL- * Only authenticated users should be able to access Compass -NL- * It should not be possible to access foreign Compass records -NL- * It should not be possible to access old Compass datasets. That is, after a certain time window old records should not be available. -NL- The security concept consists of two components. -NL- * Authentication -NL- * Encryption of CaseIDs -NL- - Databases -NL- - Coding -NL- - Nagios (checkMK) monitoring -NL- The **`VHV`[EMPLOYER_COMPANY_NAME]** uses a level concept with the following levels: -NL- Development (s) -NL- Test (t) -NL- Pre-production (s) -NL- Production (p) -NL- Maintenance / Operation Web Application Server, HTTP Server, Java Services. -NL- Middletier support, infrastructure knowledge, SOA -NL- Architecture, performance analysis / monitoring, deployment processes, -NL- Skills in scripting languages (bash / wsh / ps / perl) and Java -NL- Must have: -NL- - Linux and Windows know-how -NL- - Apache Tomcat -NL- - JBOSS -NL- - http web services -NL- - Bash scripting -NL- - GIT version control -NL- - Python -NL- - Flask -NL- - redis -NL- Nice to have: -NL- - IBM WebSphere MQ (VERY OF ADVANTAGE, IF AVAILABLE!) -NL- - UC4 Fundamentals (Jobdessign) -NL- - Java basics -NL- **`CGM Koblenz`[EMPLOYER_COMPANY_NAME]** 04/2017 - 06/2017 -NL- Introduction of the health card -NL- ORS1 1.5 Online Rollout Level1 for the Electronic Health Card -NL- OPB1 1.6 Online production of the electronic health card -NL- Test measures for the components and services of telematics infrastructure in productive operation for the VPN access service -NL- OPB1 1.6 -NL- Test objectives -NL- The test object VPN access service is a central product type, which is attached to the approval site in the form of access information -NL- to the approval object. -NL- The VPN access service according to (gemProdT_VPN_ZugD_PTV170-0_V101, 2017) enables service providers to access the telematics -NL- infrastructure (TI) -NL- To the Secure Internet Service (SIS) Eg to the Safe Network of the KVs (SNK). -NL- The public Internet is generally used as transport infrastructure between the network of the service provider on the one hand and -NL- the VPN access service on the other. -NL- This infrastructure is used to build secure connections from the service providers' connectivity to a number of central VPN -NL- concentrators. -NL- The access is secured by bilateral, certificate-based authentication. The confidentiality and integrity of the transmitted data is -NL- ensured by the use of cryptographic measures. -NL- purpose -NL- The test concept defines the requirements for the necessary framework conditions and test measures for components and services -NL- (subsequently products) of the telematics infrastructure in productive operation. -NL- In order to avoid redundancies with other documents, reference is made to the leading documents at the points where content is -NL- crossed. -NL- classification -NL- The test-performing instance creates a test concept for each product type for each test phase, whereby the test concepts should be -NL- uniformly structured and consolidate all relevant information (for example from subcontractors). -NL- Depending on the test concept and product type, different tools are used (Python, Bash / Shell, CommandLine etc.). -NL- test system -NL- Testing the individual products is designed to build on each other. The focus is on functionality, security and interoperability to -NL- meet all functional requirements. -NL- Therefore, the test activities are divided into two test phases: -NL- • Self-responsible tests by manufacturers and suppliers -NL- • Approval tests of gematik -NL- The respective activities of the test phases take place in separate system environments. -NL- • Reference environment: Self-responsible tests -NL- • Test environment: approval tests of gematik -NL- Procedure for the test manager in project OPB1 -NL- 1. Use the AFO's from Product Type Cover Letter -NL- 2. Analyze the dependencies -NL- 3. Merge into matrix -NL- 4. Evaluate feasibility -NL- 5. Derive a catalog of test methods that can be used -NL- 6. Create automated tests -NL- a. Check whether the automated tests that result from the gematik demanded result -NL- b. Check the automated tests in the LU -NL- 7. Create non-automated tests -NL- a. Check whether the non-automated tests that result from the gematik demanded result -NL- b. Check the non-automated tests in the LU -NL- Test procedures and documents comply with ISTQB standards. -NL- Implement the VPNZD test specifications for the network administration specification -NL- Accomplished tests: -NL- Verification of the minutes. Set up the NTP server as Stratum 1 and 2, allow the client to be synchronized, measure the difference. -NL- Simulation of a component failure in the VPN, triggering of data traffic and evaluation of the protocols. -NL- Request of the SRV record Intermediary of the secondary location Los2 (query destination must be located in another name -NL- hierarchy and use own zone management) to Nameserver (TI) from primary site. -NL- Triggering traffic, and checking packet logs and logs for ICMP types. -NL- Check safety notices (introduction of the DNSSEC trust anchor for the namespace TI) -NL- Triggering traffic, and checking packet logs and logs for ICMP types. -NL- Send data from the connector (simulator) to the service zone TI (e.g., ICMP echo requests with variable packet size and DFflag). As -NL- well as, for example, a value in an unusedfield -NL- Wait several synchronization cycles, check the protocols of VPN-ZD and NTP-Sever -NL- Verification of the minutes. Set up the NTP server as Stratum 1 and 2, allow the client to be synchronized, measure the difference. -NL- Product type VPN access service, DNSSEC in the name space Transport network (verification of the manufacturer's declaration, -NL- verification of the safety certification) -NL- Request of the SRV record Intermediary of the secondary location Los2 (query destination must be located in another name -NL- hierarchy and use own zone management) to Nameserver (TI) from primary site. -NL- DNS protocol, nameserver implementations -NL- Ping with the -Q parameter to a destination. Load on the device. Ping with the -Q parameter to a destination. -NL- Reboot the server, wait for synchronization cycles, check the protocols and packets from the VPN ZD and the NTP server -NL- Protocols and packets from VPN access service check for polling intervals. For ongoing services, adjust the system time of the VPN -NL- access service, -NL- Wait for synchronization cycles, check the protocols and packets from the VPN ZD and the NTP server -NL- Testing installation documentation for the different product types -NL- Send data from the connector (simulator) to the service zone TI (e.g., ICMP echo requests with variable packet size and DFflag). -NL- Manufacturer's declarations -NL- Verifying the IP addresses in the VPN access service using Portscan. Matching with the documented IP ranges. -NL- Static routing TI transfer points -NL- Verification of the availability of central services and VSDD, accessibility SIS (ping) Logging of the communication between the -NL- routers. Failure (disable) of the primary routers Checking the availability -NL- Central services and VSDD, accessibility SIS (ping) Logging of the communication between the routers. -NL- DSCP transport, enable connector connectivity, log packets before VPN concentrator, and before SZZP. Check DSCP markers. -NL- DSCP transport, automatic online check eGK, check packets before VPN concentrator and before SZZP. Check DSCP markings. -NL- DSCP transport, readVSD on PS trigger, packets before VPN concentrator and before SZZP log DSCP marks check. -NL- Proof of manufacturer's test genoa-os-interoperability connector and VPN concentrator using the SHA-256 -NL- Load tests / stress / performance tests carried out according to requirements (s) of gematik -NL- Installation instructions / safety manuals of the manufacturers for the test formulations -NL- Python programming -NL- With venv modules created / configured / administered virtual environments for Python 3 -NL- For the preparation of tests installed python environments (Python 2.7, Anaconda 2.7, modules and extensions, etc.) -NL- Creating automation scripts for test queries (Python / Scapy) -NL- Documentations created with Python Sphinx (HTML format) -NL- Code analysis of existing codes with pylint tool and PyCharm as IDE -NL- Python scripts (version 2.7) for penetration testing -NL- Penetration scripts adapted for different requirements and executed and made adjustments -NL- BashScripting -NL- Script for GS-A_4884_2_Improved ICMP types are created and entered into the GIT repo -NL- Script for GS-A_4832_1_Path MTU Discovery created and released for testing -NL- Script TIP1-A_4372_1 VPN access service, IPsec connection setup to TI (bash, traceroute, wget etc.) -NL- Script TIP1-A_4396_1 VPN access service, sequence of the IPsec connection establishment Direction Internet -NL- Script TIP1-A_4353_1_ VPN Access Service and Connector, Internet Key Exchange Version 2 -NL- Script GS-A_3835_1_DNS protocol, support for DNS-SD created -NL- Script / solution TIP1-A_4357_1_ VPN access service and connector, Peer Liveness Detection implemented -NL- VMWare vSphere DataCenter Consolidation ESXi 6.5 -NL- - Environment for Auto Deploy set up (DHCP, TFTP, Rules, AutoDeploy) and configured -NL- - AutoDeploy started as service (startuptype edited) -NL- - TFTP Server configured (deploy-tftp.zip) -NL- - Images created with vSphere ESXi Image Builder -NL- - Images with Auto Deploye GUI "rolled out" -NL- - Host profiles are created and administrated -NL- - Physical machines virtualized with VMware Converter -NL- Debian / Ubuntu / CentOS / KaliLinux / OpenBSD Administration -NL- - Administration of the NTP servers as well as performance tests prepared and carried out -NL- (The Stratum 1 NTP servers of the Product Type Time Service and the Stratum 2 NTP Ser-ver product type VPN Access Service MUST -NL- each process at least a peak load of 200 NTP requests per second.) -NL- - strongSwan on Ubuntu 16.04.2 installed, administrated and configured -NL- - IPSec SAs managed / modified with setkey -NL- - Implemented and administrated with LXC container solutions (simulated for the testing of the infrastructure!) -NL- - Debian / Ubuntu / CentOS basic systems installed and configured (debootstrap) -NL- - Administration of the iked daemon with ikectl -NL- - IMAP configuration -NL- - WebDAV implemented / configured (Apache) -NL- - Conducted with NMAP network cans -NL- - SNORT IDS installed and administered -NL- - Logging is centralized -NL- - SNORT Rules created and administered -NL- - SNORT Logging configured / administered -NL- - Dynamic DNS implemented / administered -NL- - IPv6 tunnel created (Hurricane Electric) -NL- - Managed with ip6tables IPv6 Traffic -NL- - OpenVPN administrated -NL- - Configure / administer TLS for NGINX -NL- - OpenSSH as SocksProxy configured / administered -NL- - Tagged VLANs created / configured / administered -NL- LINUX Server Hardening -NL- (Nmap, nessus) and IPTables, system logging and remote logging services configured / administrated, -NL- Identity Management Services installed / administrated, User Notification configured, Terminal / Console Security / Hardening, -NL- User Administration Password Aging, Filesystem Security setuid / acls etc, Package Security -NL- WINDOWS 2016 Operating system administration (Hyper V) -NL- - Installation of various Windows 2016 server systems and adjustments for CompuGroup -NL- - Implementation of PatchManagement and Antimalware applications -NL- - Implementation of server backups -NL- - Monitor the installed servers -NL- - WSUS Server installed and administration (daily tasks) (SQL Server, multiple WSUS servers, network load balancers, servers & -NL- workstations) -NL- - -NL- Support / training for internal colleagues for Linux, network administration etc. -NL- Python 2.x / 3.x, Python Scapy, JIRA -NL- OpenSSL command line, Ping / Hping etc, Nmap, Wireshark, dig, TCPDumg, Tracert, SOAP-UI, SOAP-UI scripts for load simulation, -NL- Python SCAPY, bwm-ng, nload, iftop, iptraf, nethofs, bmon, slurm, tcptrack, Vnstat, speedometer, pktstat, python volatility, -NL- Ipsecctl, tcpdump, Windows 10, Ubuntu, CentOS, VMware, Virtualbox, syslog-ng, tomcat (bouncycastle, xmlsec, apache -NL- httpcomponents, log4j, perf4j, slf4j) -NL- Methods: SAFe 4.0 (adapted by the CGM) -NL- Genoa genuscreen -NL- System architecture: -NL- Internet gateway / router, name server, packetfilter, registration server, HASH & URL server (HURL), authorization server (AAA), -NL- VPN concentrator (VPNK), NTP server, HTTP forwarder, security gateway (ALG), fault server, LOGGING server, OMD server -NL- System components VPN access service: -NL- DNS server (bind9), NTP server (ntpq), web server (apache2), application server (tomcat 7), HA cluster software: corosync & -NL- pacemaker, proxy server: squid3, AAA / radius server: freeradius, mysql database, VPN Software iked (IPSec), monitoring software: -NL- check_mk, -NL- Databackup: Bareos and REAR -NL- Configuration Management: -NL- Puppet -NL- monitoring: -NL- Check_mk, ike-daemon, logfile monitoring squid3 -NL- - Long-term professional experience in quality assurance -NL- - Experience with server environments (Linux systems Debian, Ubuntu, Windows, OpenBSD) especially in the area of networking -NL- and server services -NL- - Years of experience in digital certificates (PKI) -NL- - Python Enthusiast as well as knowledge of different modules (scapy etc.) -NL- - Profound knowledge in system and network administration -NL- - Experience in IT security -NL- Tasks: -NL- - Review the specification for testability -NL- - Creation of test cases and test reports and quality assurance -NL- - Planning and execution of software and system tests -NL- - reporting on errors and deviations and the presentation of the solution -NL- - Qualified creation, editing and solving of incident tickets -NL- - Check the listed RFCs and various network specifications -NL- **`Allianz`[EMPLOYER_COMPANY_NAME]** Munich 02/2017 – 03/2017 -NL- **`PEGA administrator / senior UNIX/LINUX Administrator / Senior Application Manager / Senior docker DevOps / senior -NL- virtualization and cloud specialist`[EMPLOYER_ROLE]** -NL- Projektscope: Planning and infrastructure container for the AZD cloud (ADP, CRP) including toolchain and development and -NL- implementation of an operational concept. PoC of an infrastructure - operation on the basis of AWS. -NL- Central decisions and assumptions: -NL- * Target infrastructure in the public cloud at Amazon Web services -NL- * Amazon purely as IaaS, PaaS not used. Alliance is intended as an operator of PaaS. -NL- * Business applications to be operated exclusively on container platforms -NL- * Building a deployment pipeline to Amazon Web services -NL- * Building a continuous delivery pipeline with Jenkins -NL- * Build and test of docker release images -NL- * Creation of unit and integration tests with docker -NL- UNIX / LINUX (RedHat, CentOS, Ubuntu - Server) Administration -NL- Software version control with GIT -NL- * -NL- Docker Administration on Linux/Windows platforms -NL- * Dockerfile various for internal testing within the Alliance generated to set up customized images -NL- * Docker-workshop conducted for Alliance staff -NL- * DockerToolbox on Windows 7 Troubeshooting operated (proxy, profiles, etc.) -NL- * Alliance specifications/guidelines DOCKER - created images and these documented -NL- * Docker monitoring created concept and solution implemented and documented the solution -NL- * With docking compose multimedia container applications installed and administered -NL- * Analysis and documentation of existing docking configurations -NL- * DailyDoings (search, pulling images for images, start / stop of containers, check logs, container delete and reset up privileged in -NL- that container, configure, configure ports,) -NL- check the history, images exported, imported images, dockerfiles created, automated builds generate with github and bitbucket, -NL- with supermin images created, etc.) -NL- * Installed and configured cAdvisor for Containermonitoring -NL- * Installed and configured Prometheus for Containerueber - / application monitoring them then cAdvisor "coupled with" -NL- * -NL- WebSphere administration -NL- * Server / cluster in maintenance mode set -NL- * Autodeployment administered (Alliance in-house development) -NL- * -NL- Oracle 11GR2 database administration -NL- PEGA administration -NL- * For the TEST stage KIK today PEGA 7.1.9 installed / configured / pass -NL- This all work out and carried out testing (schema emptied, Vorbereitungs-(KONFIG)Skripte started, operated any troubleshooting, -NL- start the installation routine) -NL- Description: -NL- • Support in the design, installation and the upgrade of the PEGA infrastructure (WebSphere configuration, setting up the DB, -NL- HotFixes) -NL- • Mitarbeiteit migration PEGA 7 6 -NL- • Database administration (management of DB size, SQL scripts) -NL- • System configuration (agent/listeners, operator, UNIX, for example prconfig, web.xml, etc.) -NL- • System monitoring (PEGA, AES, UNIX, dynaTrace, LogFiles, debugging) -NL- • Support platform (restart, PRPC cache, create directories) -NL- • Documentation and maintenance of company-internal PEGA-wiki page (changes, IPMs, best practices, FAQs, etc.) -NL- • Governance (management processes, interface function, PEGA projects meeting, determination of solution concepts, IPM, -NL- changes, LogViewer, troubleshooting) -NL- Must-haves: -NL- • Provided well-founded knowledge in docker and RedHat Openshift -NL- • Good knowledge of WebSphere, UNIX, SQL required -NL- • Basic knowledge of MS Outlook, Word, Excel, PowerPoint -NL- • Knowledge in the care of a wiki page -NL- • Experience with dynaTrace -NL- • Basic knowledge of desirable PEGA (PEGA administration specialist, as well as PEGA certified system architect) -NL- 12/2016 1/2017 (2 months) **`Adorsys`[EMPLOYER_COMPANY_NAME]**, Nuremberg -NL- Role: **`Senior DevOps / cloud specialist / developer / systems administrator`[EMPLOYER_ROLE]** -NL- Windows Server 2012/2016 administration -NL- * New Windows Server 2012/2016 installed (vmware/hypver v) -NL- * New server roles installed and configured (default) -NL- Changes documented and taken over administration of Hyper-V -NL- * Network services configures / manages (subnetting, supernetting, dynamic configuration, ipv4/ipv6, dns, dhcp, zones, -NL- troubleshooting) -NL- * Active Directory configure / administer (forests, physical components, single master roles, domain controller, dns, global catalog -NL- server, accounts, computer accounts, groups, units etc.) -NL- * Remote management for both plate forms installed/configured/administer -NL- * Various server roles installed/configured/administered and documented (DHCP, DNS, DCs, etc.) -NL- * User / computer account created and administered -NL- * Active Directory Administration take over -NL- * The server is hardened (compliant to appliance guidelines) -NL- * Troubleshooting of various errors/problems (diskpart etc.) -NL- LINUX-RedHat/Ubuntu/SLES 2nd - 3rd - level administrator -NL- * User & group management -NL- * ACL management (getfacl, setfacl) -NL- * YUM Repositories created & managed -NL- * RPM - packages "built" -NL- * Jobs/tasks with cron managed -NL- * Disk management partitions/filesystems created, LVMs created / managed -NL- * LDAP Server installs / configures / manages -NL- * Car mount configures NFS & LDAP -NL- * SELinux configure / administer / documented -NL- * Firewall Administration(firewalld) -NL- * NTP Server installs / configures / manages / documented -NL- * Monitoring on the CommandLine (CPU & memory usage, DiskIO, network IO, bandwidth monitoring), the stress - tool (free, -NL- top/htop, sar, iotop, lsof, iperf, speedtest cli, etc.) -NL- * LINUX kernel administration -NL- -Kernel modules manipulated (lsmod, insmod, rmmod, modprobe, depmod etc.) -NL- -Kernel automation and configuration (sysctl, udevadm monitor, lsusb, lspci, lsdev, dmesg etc.) -NL- -Custom kernel compile (make targets, module options, Dracut) -NL- * Monitoring data trends (historically) with collectd -NL- * Administration / care SysV and if still present upstart -NL- * Troubleshooting various problems (hard disk recovery, boot problems, GRUB2 recovery, S.M.A.R.T., smartctl, smartd etc.) -NL- * PXE - environment installed / configured / productive taken and documented to pass -NL- * File system management/administration, CentOS and Ubuntu -NL- * AutoFS configures / manages -NL- * With LVM2 volume groups installed / configured / Ubuntu/CentOS administered -NL- * RAID configure / administer / documented -NL- * Netzwerkadminstration wired and wireless network management -NL- * Troubleshooting of network problems on LINUX - systems for physical, data link, network, and Transportissues (arp, ethtool, ip -NL- addr, ip route, netstat, Wireshark) -NL- -Netzwerkscripte ueberarbeitet/corrected -NL- -firewalld-cmd used to solve problems withfirewall- -NL- -Wireshark 2 -NL- * Documentation created / maintained / pass -NL- HADOOP BigData administration -NL- * -NL- Docker -NL- * Diaspora on a DebianImage, configured and installed productive taken -NL- * Container management with DockerCompose -NL- * Customized images with dockerfile generated and these "published hub on the docker" -NL- * Communication between docker - container configured/optimized/adapted/administer -NL- Container management expanded DockerCompose -NL- Outsourced and managed containers in the cloud -NL- * Data volumes created and managed for source code transfers -NL- * Container network creates and manages custom bridge network) -NL- * The connection of multiple container implements / configures / manages -NL- * -NL- Ansible -NL- * AWS provisioning with Ansible implements (python-pip, boto, awscli) -NL- * Create Ansible Playbooks (boto) -NL- * -NL- Jenkins -NL- * -NL- -Experience in the topics related to a build and deployment pipeline -NL- -Automation with configuration management systems -NL- -Docking container experiences optimally at the use of containers in PaaS solutions -NL- -Experience in the development of centralized log management solutions -NL- -Practical experience in system administration - ideally by * nix systems (RHEL, CentOS, Fedora) -NL- -Affinity to IT operations, open source, software testing as well as build and release management -NL- -Would you like to familiarize themselves with new topics and container technologies such as docker -NL- -Knowledge in some of the following areas: JEE Application Server, relational and NoSQLDatenbanken, data - and compute grids, -NL- clouds, storage, networks, multi-channel platforms, VCS (GIT), collaboration tools, monitoring solutions, Ruby, Perl, Python, shell -NL- Some of the technologies used: -NL- -Docker -NL- -OpenShift -NL- -DC/OS Mesosphere -NL- -AWS -NL- -Ansible -NL- -Puppet -NL- -Jenkins -NL- -Gitlab CI -NL- -Maven -NL- -Graylog -NL- -ELK -NL- -Logstash -NL- -RPM builds -NL- -Python 2.x/3.x -NL- Python-PIP -NL- -AWS -NL- aws-cli -NL- -EC2 -NL- -Jenkins -NL- -Orchestration: Mesos, Kubernetes -NL- -Elasticsearch -NL- -Logstash -NL- - Kibana -NL- - Docker / Docker Compose / Docker Swarm / Docker Kitematic / Docker Machine -NL- - MongoDB -NL- - Otto / Vagrant -NL- 08/2016 12/2016 (5 months) HSBC Trinkaus, Düsseldorf -NL- Role: **`Security monitoring`[EMPLOYER_ROLE]** -NL- UNIX/LINUX 3rd level administration -NL- -Administration of internal UNIX - / LINUX - Server systems (RedHat 6.x, SUSE SLES, Oracle Solaris, HP-UX, AIX) with a focus on -NL- security monitoring & hardening -NL- -Administration of access rights on the ACL - level -NL- -Safe handling of access control mechanisms standard Linux (DAC), SELinux: mandatory access control (AMC) but in the House not -NL- implemented -NL- -RHEL/CentOS/Oracle Linux hardening created concept -NL- -Linuxfilesystem management LVM (physical volumes, metadata, volume groups, logical volumes, increase / decrease, snapshots, -NL- thin provisioning, striping, mirroring, migration, backup and recovery, import/export, merge/split volumes) -NL- -Linux RAID management (creating RAID, raid array growing, defective hard disks away, /etc/mdadm.conf manages raid security -NL- and nfsv4, raid 5) -NL- -Administration of the system services with systemd -NL- -Linux network administration (ARP, DNS, subnetting, troubleshooting) -NL- -Linux encryption (gpg, efs, luks) -NL- * entcryptfs installed and configured -NL- * cryptsetup installed and configured -NL- -Monitoring of server and performance optimization -NL- -Documentation for Oracle Solaris 10 SMF creates (technical details, infrastructure, important configfiles, security concepts within -NL- smf commands) -NL- -Installation / configuration / administration of SSL/TLS (openssl) -NL- * Installation / configuration / Administration on SLES and RedHat 6.5 operating systems -NL- (private public certificates, self signed SSL, hashing, root certificates, code signing certificates, code signing certificates, backups -NL- and restores) -NL- -Oracle Solaris of zones administered -NL- * Solaris of zones planned and configured (non-global zones) -NL- * Solaris non-global zones installed, cloned and uninstalled -NL- * Zones booted and logged in (zone console, non-interactive mode, fail safe mode etc.) -NL- * Physical Solaris systems in zones migrated -NL- * Patched zones -NL- * DTrace in zones launched -NL- * all Adminstrativen taken over work -NL- WINDOWS 2003 R2 / R1 & R2, 2008 / 2012 R1 & R2 server 3rd level administration -NL- -ADS administration -NL- -Group Policy Administration -NL- -Various network services implemented -NL- * DNS configuration and troubleshooting problems -NL- * AGPM installs / configures / manages -NL- * DirectAccess and NAP installs / configures / manages -NL- * WSUS installs / configures / manages -NL- * FSRM installed / configured / administered -NL- * File and printing - services set up -NL- * DFS installed / configured / administered -NL- -NPS set up service (RADIUS server, RADIUS proxy, NAP policy server) and administered -NL- -Implements WDS for Windows Server deployment -NL- * WDS installed role -NL- * Image - management configured / implements -NL- * Drivers and software packages updated -NL- * Images with patches, hotfixes, drivers updated -NL- Offline images extensions installed/implemented -NL- -Monitoring the server -NL- -Windows 2008/2012 AD administration -NL- * Account policies configured (local user password policy, account lockout policy, Kerberos policies, PSOs configured and rolled out) -NL- * Service - authentication configured (managed service accounts, virtual account, Kerberos delegation, group managed service -NL- account, SPNs) -NL- Security on VMware vSphere configured, administered and monitored -NL- -Role and permission management on vSphere Server (builtinroles, custom roles, permissions, clone roles) -NL- -ESXi authentication and permission management -NL- -Hardening of the vSphere environment checks and if necessary optimised and improved -NL- -SSO configured (multisite SSO, VMCA) -NL- Auditing / monitoring WebSphere sessions of the internal administrators -NL- Centrify DirectAudit monitoring -NL- -Review of the recorded sessions (videos) -NL- -Create new rules filters/ -NL- and extension of monitoring conforming to the guidelines of HSBC -NL- Trinkaus -NL- -Analysis of new applications and generate newfilters/rules for these new applications -NL- Symantec Data Center Security Server v6.x -NL- -Installation and deployment for HSBC - infrastructure concept and technical realization -NL- -User and roles -NL- -Configuration of assets (Linux, UNIX, Windows) -NL- * Defining agents and assets -NL- * Viewing agents and assets -NL- * Managing assets -NL- * Exploring configurations -NL- * Creating and editing configurations -NL- -Design & implementation of policies (Windows prevention policies, UNIX security, emergency response, security awareness) -NL- -Advanced prevention -NL- -Detection policies -NL- -Event management -NL- -Agent Management and troubleshooting -NL- -System management -NL- -Privilege access control (LPAC) lease / "Sandboxing" for various applications created and implemented -NL- RSA enVision 4.x / administration -NL- -User and system access administration -NL- -enVision configuration and data collection -NL- -Monitors event data -NL- -Reporting -NL- -Alerting -NL- -Vulnerability and asset management -NL- -enVision maintenance / troubleshooting -NL- -Incident handling -NL- -Logging -NL- -Supportfiles generated (ESI) -NL- Real time monitoring / compliance - reporting with IBM Guardium -NL- -Policies -NL- -Reporting -NL- -Administration KTAPs in Guardium for Windows (deployment, maintenance/troubleshooting etc.) -NL- -"Other systems" transfer KTAP copies -NL- -FlexLoading configured (check, enable, disable) -NL- Python coding for security reasons -NL- -Python scripts for forensic created 2.x / 3.x (Windows registry, MFT, log parsing, MBR analysis, Windows/Linux processes, database -NL- access, Windows Recycle Bin analysis,file system analysis,file analysis) -NL- C code auditing -NL- -C - code auditing -NL- * Securityflaws / overflows, Offbyone, command injection, design, ASCIIWide, and more -NL- * Memory analysis and Heartbleed analysis -NL- * Kernel and compiler bugs -NL- -C - debug debugging -NL- Review of Sicerheitskonzeptes vulnerabilities -NL- -Scanning -NL- * Network scanning, port scanning, vulnerability scans, etc. -NL- Command line tools: nmap, angry ip scanner, colasoft ping, solarwinds, visual ping tester, ping scanner pro, ping sweep, ping -NL- monitor, pinkie, PingInfoView, PacketTrap MSP, GFI, SoftPerfect, Nessus, NetStumbler, ping Tester, etc. -NL- Vulnerability assessment, information gathering, forensics, reverse engineering, exploitation tools, privilege escalation, wireless -NL- tools, and many others -NL- Network / memory / virus / Trojan - malware - analysis for UNIX/LINUX & Windows client / server -NL- tcpdump, wireshark, ftk imager, network miner, autopsy/sleuth kit, nmap, snort, penetration testing UNIX/LINUX & Windows -NL- systems -NL- Cybermonitoring -NL- Monitoring creates concepts and optimized -NL- -Monitoring strategy - IT security (English/German) -NL- -Monitoring strategy - DirectAudit for UNIX -NL- -Monitoring strategy - enVision -NL- and many other documents -NL- Incidentmanagement according to ISO IEC 27022 -NL- **`Skills`[SKILLS_HEADING]** -NL- Centrify server suite 2016, Centrify DirectAudit for UNIX, Centrify DirectAudit for Windows, eventAction action software, IBM -NL- infosphere Guardium, Avecto Defentpoint / Privilegeguard, network intelligence envision, IBM Qradar Siem, Symantec SCSP/DCS, -NL- CyberArk password vault, RealTech theGuard!, Lotus Notes, Nessus, fail2ban, Metasploit, various in-house - developments of HSBC, -NL- D.C. of Kerberos, remote access VPN, NAT PAT, bastion host, endpoint systems, directory services, DHCP, DNS,firewalls, routers, -NL- wireless networking , Wireless security, network media, modulation & encoding, topologies, transmission type, media access -NL- methods, check point SmartConsole R77. 30 -NL- Methods -NL- Access control and identity management (RADIUS XTACACS, TACACS +, LDAP/SecureLDAP, Kerberos, SAML), software security, Web -NL- security, threat modeling, security within the company -NL- OS -NL- RedHat, SLES, Oracle Solaris/LINUX, HP-UX, AIX, Tru64, Windows, z/OS -NL- Cryptography -NL- Symmetric cryptography, asymmetric cryptography, hybrid cryptography, hashing -NL- Application server -NL- JBOSS, WebSphere, WebLogic -NL- Databases -NL- Oracle, MSSQL, Sybase, IBM DB2 -NL- Project management tools & methods -NL- JIRA, agile, Scrum, ITIL -NL- Training -NL- Internal training Bankensecurity -NL- -AGG - training - information for employees -NL- -Resilience - planning pays off -NL- -Combating money laundering - what you need to know -NL- -Bribery and corruption (act properly) -NL- -Compliance online training 2015 -NL- -Data management -NL- -Data protection in the exchange of information with the HSBC - Group -NL- -The common reporting standard -NL- -Renewal of confidence in the banks -NL- -FATCA - based training -NL- -Health & safety -NL- -Information security is important -NL- -Antitrust - support economic growth -NL- -Market awareness training module -NL- -Reputational risk by 2015 -NL- -Anchor correct behavior -NL- -Sanctions - heavy, safe, protected -NL- -Training on the subject of operational risks of 2015 (operational risk and you) -NL- 3 days Symantec Data Center security server workshop/training by Symantec -NL- -Linux-UNIX policies - expansion / update and new features of existing IPS policies - part 1 -NL- -Windows 2008 policies - creation of new win 2008 / 2012 IPS policies - part 1 -NL- -Windows 2008 policies - expansion / upgrade and new features of existing IPS policy - part 2 -NL- Monitoring policy status -NL- * Null - policies -NL- * Prevention disabled -NL- * Group shift -NL- * A new user is created in DCS etc. -NL- Secure payment services user - policy example -NL- IDS change afile - policy - sample -NL- Event editing at the end -NL- 06/2016 (1 months), Berlin -NL- Role: **`Senior DevOps`[EMPLOYER_ROLE]** -NL- **`myToys`[EMPLOYER_COMPANY_NAME]**, Berlin -NL- -Support an existing DevOps and operations teams -NL- -Supervision and administration of the system landscape with Ansible and Nagios -NL- -Support the development of software deployments -NL- Tools: Ansible, Jenkins, Nagios, Linux (CentOS, debian), puppet, bash/shell, vagrant, docker -NL- 08/2015 11/2015 (4 month) **`PFS`[EMPLOYER_COMPANY_NAME]**, Düsseldorf -NL- Role: **`migration specialist`[EMPLOYER_ROLE]** -NL- BlueStar backend migration overview -NL- -Applications in the data centers HP / Portigon implementation of a new centralised for the backend server infrastructure -NL- -Support for application performance testing, performed by **`PFS`[EMPLOYER_COMPANY_NAME]** -NL- -Design of the future server infrastructure incl. the corresponding implementation plans -NL- -Creation of detailed process - and project plans to migrate of the backend applications from the existing to the newly -NL- implemented server infrastructure -NL- -Creation of agreed virtual instances using the above created standard images; Installation and configuration of the necessary -NL- VMWare, and HP - standard tools unless the applications -NL- on these systems are released. -NL- -Installation, configuration and data migration of the respective database systems -NL- -Configuration of the database of reporting tools for HP/**`PFS`[EMPLOYER_COMPANY_NAME]** standard -NL- -Applikationsanalyse and the creation of migration plans in collaboration with **`PFS`[EMPLOYER_COMPANY_NAME]**/HP. -NL- -Support of the **`PFS`[EMPLOYER_COMPANY_NAME]** in the migration of the applications in accordance with agreed migration plan -NL- -Installation of tools and software for monitoring and monitoring of security policy of the applications according to the guidelines -NL- of **`PFS`[EMPLOYER_COMPANY_NAME]** -NL- -The detailed is recording the existing application and database of hosting services (including dependencies) as an input for the -NL- sizing of the future server infrastructure and migration plans -NL- -Evaluation of existing approaches to migration and other journalist documents -NL- -Creating detailed is - lists of the existing application landscape with the responsible PVs, as well as evaluation of this installation -NL- and configuration in FMO -NL- BE-02 DC migration Düsseldorf -NL- BE-02.1 capital markets DUS applications -NL- -BE-02.2 transaction banking DUS applications -NL- BE-02.3 other DUS applications -NL- BE-03 DC migration Munich -NL- -BE-03.1 SAP platforms -NL- -BE-03.2 CDP -NL- BE-03.3 eBusiness platform -NL- BE-03.4 credit services (remaining Munich applications) -NL- BE-03.5 capital services (remaining Munich applications) -NL- -BE-03.5.1 GRID -NL- -BE-03.6finance & controlling (remaining Munich applications) -NL- -BE-03.6.1 archive systems (open text archiving, ZORA) -NL- -BE-03.7 transaction banking (remaining Munich applications) -NL- BE-04 DC migration London -NL- -BE-04.1 Summit (including NFS, ConnectDirect, Autosys, MQ) -NL- BE-04.2 trader tools -NL- BE-04.3 other London applications -NL- -BE-04.4 Citrix farm -NL- BE-05 DC migration New York -NL- BE-05.1 New York applications -NL- **`Key objectives:`[OTHERS_HEADING]** -NL- Flexibility -NL- Scalability -NL- Quality of service -NL- Cost efficiency -NL- Future-proofing -NL- Technology: -NL- eBusiness - platform: -NL- -ARIS -NL- West Gate -NL- -zed -NL- -SmartCloseManager -NL- TRUST FUND -NL- -Asset control -NL- -WestAppl -NL- -planningIT -NL- -FircoSoft -NL- -MessageMaker -NL- -TRAX -NL- -WestLB Exchange - WestLB FTP-WestLB -NL- - Exchange - xmlexchange -NL- -EBIP Admin -NL- -Clarity -NL- -TIM/TAM -NL- -Tivoli Directory Integrator -NL- -TLM -NL- -SmartNotes -NL- -Logistik Begleit System -NL- -WestBCS -NL- -Matrix42 Lizenzmanagement -NL- -ARIS Business Publisher -NL- -Early Warning System -NL- -AML Suite Norkom -NL- -A-Early Warning System -NL- -A-Transaction Monitoring -NL- -Credit Default Database -NL- -A-Credit Default Database -NL- -A-Advanced Rating Tool -NL- -Advanced Rating Tool -NL- -ZKM Application -NL- -Securitisation Database -NL- -Global Watch List -NL- -A-Global Watch List -NL- -EFiS -NL- -REDISwin -NL- -Early Warning System -NL- -Advanced Rating Tool -NL- -WestLB CasLine Web - Germany -NL- -NameSearch on Worldcheck data -NL- -EBIP -NL- -Microsoft Reporting Service -NL- -XBRL-Publisher -NL- -ROME -NL- -SQL-Server (eBusiness) -NL- -Serena Business Manager -NL- -SubVersion -NL- eBusiness - platform (technology): -NL- Oracle DBA: -NL- -Daily DBA tasks -NL- -Oracle backup and disaster recovery work performed -NL- * Prepared Oracle backup / DR -NL- * Archive log mode -NL- * A backup of the UNDO create TS -NL- * It specifies fast recovery area -NL- Flashback features configured -NL- * Multiplex the controlfile configured and created a backup of -NL- * Backup of the server parameterfiles created -NL- * RMAN configures -NL- * Consistent / inconsistent backups "pulled" -NL- * Incremental created backups -NL- * Automates the backup procedure -NL- Microsoft SQL Server 2008 Server (standard) Edition DBA -NL- -Microsoft SQL Server evaluation, installation & configuration tasks taken over & done -NL- -T-SQL programming (DMLs & DDLs) carried out (programmed create databases, create tables, stored procedures, -NL- triggers set off insert/update/deletes, permissions on tables, etc.) -NL- -MSSQL daily tasks -NL- -Middleware Administration IBM what, JBOSS, Tomcat -NL- -RedHat 5.x engineer -NL- -Daily tasks (applications as a priority) -NL- Windows Server 2008 R2 Administration -NL- -Daily tasks -NL- Nagios Administration: -NL- -On Ubuntu tasksel install... Nagiospaket with tasksel install on Ubuntu Server -NL- -Nagios 3 / 4 on Linux (RedHat/Ubuntu) installed -NL- -E-mail notification configured -NL- -New host records generated/created -NL- -Nagios on CentOS (headless) istalliert (compiled)... troubleshooting of errors that occur and dependencies -NL- -Plugin package with curl "downloaded" and "compiled" -NL- - -NL- Puppet Server Administration -NL- -Puppet Server / Agent installed -NL- -Configured directory structure -NL- -PuppetMaster in SELinux konfiruation "bound" -NL- -Certificates for communication between the master and nodes created -NL- * sudo master puppet--verbose--no-daemonize -NL- * / var/lib/puppet/ssl (stored certificates) -NL- -Modified IPTables - port TCP/8140 for all nodes to the connecting to Server released -NL- * / etc/sysconfig/iptables -NL- * sudo service iptables restart (reload of the iptables) -NL- -Apache and passenger installed and configured -NL- -Puppet agent installed and configured -NL- * Entered PuppetMaster in the hostsfile -NL- * Puppet agents on CentOS and Ubuntu nodes installed -NL- * Agent transfer certificates in the nodes -NL- * Troubleshooting operated -NL- Call for proposals: -NL- IT specialist Linux / Webapplikationserver (m/w) -NL- Area of responsibility: -NL- • Operating a consolidated server platform consisting of about 30 applications and operated on 20 RedHat Enterprise Linux server -NL- and 4 Microsoft server systems -NL- • Support the database infrastructure (MS SQL and Oracle) -NL- • Operation of the application servers (IBM WebSphere Application Server / RedHat JBoss EAP) and its applications -NL- • Operation of applications -NL- • Advice for new application projects in the IT - platform infrastructure and IT operations issues -NL- • Design, implementation and further development of the operating processes for incident, problem, release and change -NL- management -NL- • Installation and configuration of application and Web servers such as Apache, Oracle, iPlanet, or Microsoft IIS -NL- • Automation of installation and configuration of server components according to specifications of the application architecture -NL- • Planning, testing and implementation of patch or new unit -NL- • Definition offirewall rules -NL- • Definition and operation of monitoring (Nagios) -NL- • Analysis and resolution of problems in the interface andfield -NL- • Communication to the internal client and the external IT service providers / vendors -NL- • Documentation and transfer of the results of the work -NL- Service time: -NL- 5 x 10 / 08:00 h-18:00 h -NL- Weekend on request from acquisitions (software releases) -NL- Readiness might target days -NL- **`Profile:`[WORK_EXPERIENCE_HEADING]** -NL- • Strong knowledge of IT architectures and infrastructure issues -NL- • Very good knowledge in dealing with Linux (RHEL) / Windows (MS) servers and the shell we use -NL- advance -NL- • Good knowledge of IBM WebSphere Application Server 7/8, Apache Tomcat, Apache HTTP Server -NL- and JBoss EAP, as well as in Java EE -NL- • Experience in planning, implementation, or operation of solutions in one of the following areas: -NL- Identity management, access management and single sign-on (SSO), authentication and -NL- Authorization concepts (Microsoft Active Directory, Kerberos authentication, Web SSO), process modeling to the -NL- User and permission management, public key infrastructure (PKI) -NL- • Knowledge of the IBM directory server, TAM, TIM -NL- • Expertise in configuring application servers (deployment, JDBC/JMS interface) -NL- • Good or very good knowledge in several areas of this topic: Firewall load balancers, -NL- Virtualization (VMWare) -NL- • Analytical and conceptual abilities -NL- • Independent action and quick wits -NL- • Customer and service orientation -NL- • Teamwork and perseverance -NL- Projektsprache(n): German / English -NL- Technologies: operating systems, virtualization, ITIL, databases -NL- 07/2015 08/2015 (2 months) **`TeleColumbus`[EMPLOYER_COMPANY_NAME]**, Berlin -NL- Role: **`Senior DevOps`[EMPLOYER_ROLE]** -NL- Representation for parental leave of the Administators -NL- -CentOS administrator 6.x / 7.x, SUSE SLES 11/12 administrator, debian 8 Wheezy -NL- * Thefirewall configured/administered withfirewalld -NL- * Apache Web server installed/configured/administer -NL- * Samba - set up environment configured/administer -NL- * User/group operated created and troubleshooting -NL- * Applied passwordless SSH access -NL- * SE Linux configured / administrated and operated (DACs/MACs) troubleshooting -NL- -> SELinux in "targeted fashion" configured and administered -NL- -> Point of contact for all forms of "Policies" -NL- Worked-> etc. setsebool extensively with tools like chcon, -NL- -> File managed contexts with semanage and restorecon -NL- managed-> booleans with setsebool -NL- -> Logs monitored and operated with sealert troubleshooting -NL- * Process management and process monitoring -NL- * Provided with etckeeper configurationfiles under version control -NL- * Bonding carried by NICs -NL- * Kernel patching carried -NL- * CUPS -NL- * FreeIPA client installed and "connected" to FreeIPA servers (authconfig) -NL- * CephCluster installed and configured... (AdminNode + client...) 3 CEPH nodes) -NL- * Docker on CentOS installed and administered -NL- * Client realmd installed and performed a connect to a Windows domain -NL- * Updates & upgrades performed -NL- * Yum config manager repos managed -NL- * System - processes with systemctl manages -NL- * Log management mi journald & journalctl -NL- * Postfix troubleshooting (Postfix check... / var/log/messages...) -NL- * Logrotate implements -NL- * Dovecot installed and configured -NL- * With groupinstall (CentOS / RedHat) installed software/Applikationsbundles -NL- -PostgreSQL DBA -NL- * Backup and recovery of PostGre databases (pg_basebackup, pg_dump, pg_restore) -NL- * Monitoring of PostGre databases via LINUX console commands (sar, sysstat tools) -NL- * Troubleshooting performance problems of SQL queries and the DB engine in General -NL- * PostgreSQL implements replication with DRBD -NL- * Tabellenparitionierung implements -NL- * Databases created, administered user, created schemas, tablespaces created/expanded/deleted message etc., monitor server -NL- status, log monitorfiles etc. -NL- * Databases/objects for desired policies "backed up" -NL- -HP blades with HP BladeSystem onboard Administrator administers / manages -NL- -Storage /file system administration -NL- * Generalfile system administration for EXT4 / XFS / BTRFS -NL- * Applied car mounts -NL- * Disk encryption with LUKS configured -NL- * Working with ISO files- -NL- * RAID partitions configured (EXT4) also with BTRFS (persisting RAIDs) -NL- * iSCSI target/initiator configured/administer -NL- * Device acces performance optimized -NL- -SAN / NAS administration EMC VNX5300 / EMC CLARiiON CX3-10 -NL- * LUN resizing -NL- * Delete LUNs -NL- -Cisco MDS 9216i multilayer fabric switch -NL- -Ganeti administrator -NL- * Installed Ganeti -NL- * Cluster "burning" - tests... Fixed a bug -NL- -Docker administration -NL- -KVM virtualization -NL- -LINUX hardening -NL- -MySQL DBA (cluster-myisam, innodb-cluster) -NL- -OpenVZ -NL- * Applied new VPS -NL- * With vzctl administrative tasks performed -NL- -ElasticSearch -NL- -exim - mail service administration -NL- -Xen - administration -NL- * With xm/xl instances administered -NL- -Cfengine administration -NL- -Puppet administration -NL- Puppet installed and configured -NL- -Graylog -NL- -Troubleshooting / Incidentmanagement of the tickets in OTRS - queue -NL- -Netdot -NL- -LDAP - server administration -NL- -Jabber service administration -NL- -fail2ban -NL- -Jenkins -NL- -Bluepill -NL- -MCollective -NL- -Capistrano -NL- -Supervisor -NL- Graphite/carbon -NL- -ActiveMQ -NL- -Snort -NL- -Ansible -NL- -lperf -NL- -Memcached -NL- -logstash -NL- -Cisco network Registrar -NL- -Raga singing -NL- -Fully automatic installation (FAI) automated installation of Linux systems configured -NL- -Bacula cared for backups / restores -NL- -On several HP DL380 G3 Server (s) (smart array 5i plus controller with 6 x 72 GB hot swappable disks) using hpacucli storage -NL- administration (add, delete, identify and repair logical and physical disks) -NL- -Blade administration -NL- * VLANs assigned to individual ports -NL- * Trunk einzlene ports assigned to -NL- * Ports ranges assigned to -NL- * Interface to query status etc. -NL- * 16 blades (BladeCenter) installed with FAI -NL- * Managementprozessort Server Administration -NL- -Check wall managedfirewall -NL- Task: -NL- -Management of highly available servers and geo redundant data center within a fast-growing service provider infrastructure -NL- -Administration and expert-level support in the area of Linux server and Server services -NL- -Further development of the infrastructure in terms of scalability, virtualization, automation, security and monitoring -NL- -Documentation and presentation of your work and the platform -NL- Requirements: -NL- Degree in engineering or comparable education with work experience -NL- Knowledge and experience: -NL- -in above tasks -NL- Server Administration Debian Linux, RHEL/CentOS -NL- -Database administration (MySQL, Oracle RAC) -NL- -Support of the E-Mail infrastructure for customers -NL- -DNS administration -NL- -Safe handling with the command line and standard scripting languages -NL- Mail services (exim, dovecot, RoundCube), DNS (BIND, PowerDNS), OpenLDAP, Apache, configuration management (puppet, -NL- cfengine), SAN -NL- -HTTP, LDAP, SMTP, TLS, POP3, IMAP, SNMP, DHCP, TFTP -NL- -Basic knowledge of: IPv4/IPv6 networks -NL- -Knowledge of spoken and written English -NL- -Willingness to take part in a call -NL- Desirable: -NL- -automatic installation (Debian FAI), virtualization (Ganeti, KVM), storage cluster (ceph), monitoring (Nagios/Icinga), backup -NL- (Bacula), Elasticsearch, Cisco network Registrar -NL- -Basic knowledge of IT security, IT law, data protection and regulatory requirements (TKG, TKÜV) -NL- Hardware: HP and Dell blades, Cisco 3020 switches -NL- Tools: bmon, tcpdump, sar, vmstat, iostat, mpstat, iotop, htop, top, keepalived load balancing (ha), iptables(firewall configuration) -NL- Technologies: C#, Java, C++, Perl, SQL-Server, compart, PReS, git -NL- 03/2015-06/2015 (3 months) **`AXA`[EMPLOYER_COMPANY_NAME]**, Cologne -NL- Role: **`System Administrator`[EMPLOYER_ROLE]** -NL- Development of a Web shop prototype (frontend & backend) with HTML5 and. js. Simulation of the behavior of the Web shops with -NL- dummy REST API endpoints. -NL- RedHat LINUX (5.x/6.x)-system administration -NL- Minor-> installation of RedHat 6 update 5 -NL- With RedHat Network registered "rhn_register"-> Server installation and then -NL- incorporated the "relevant" channels via rhn_channel and carried out a check of the "yum repolist" -NL- Implements-> LogfileMonitoring with SWATCH and configured as well as administrative assistance -NL- -> Network with NTOP monitors -NL- -> Linux hardening: -NL- ROOTKITHUNTER installed & configured and integrated via crontab -NL- Passwortcracker JOHN THE RIPPER review for the passwords installed & used -NL- -> On various application servers NMAP SYN & TCP connect scan and analyzes -NL- -> SELinux on RedHat 6 server configured and administered -NL- -> Mode on enforcing "used" ("experimenting" with different modes) -NL- -> Policies with semanage configured -NL- -> With getsebool/setsebool/togglesebool Booleans of the httpd - daemons mofiziert -NL- -> The "context" e change offiles/directories/processes -NL- Made with setroubleshoot/sealert-> SELinux troubleshooting (/ var/log/messages analyzed records andfixed) -NL- -> Performance analysis & performance tuning -NL- -RedHat RHEV administration -NL- -> Installation/configuration/administration RHEV Manager and "link" the hypervisor (1 & 2) -NL- yum-y install rhevm -NL- engine setup (performed the initial configuration) -NL- configure the admin portal -NL- History database installed and configured (yum install rhevm-dwh rhevm reports) then run setup -NL- with (rhevm-dwh-setup) then the reporting configured with (rhevm-reports-setup) -NL- New DataCenter created... **`AXA`[EMPLOYER_COMPANY_NAME]** tech compliant -NL- New cluster installed and configured -NL- New of hypervisor hosts "approved" -NL- Standard activities such as: creating a virtual machine Linux & Windows, creating templates, machines with the help of templates, -NL- create new snapshots created, performed backups of virtual machines -NL- -> Multiple hypervisor installation/configuration/administration -NL- Carried out the deployment of the RHEV hypervisor (hypervisor ISO image "Download" and install) -NL- Hypervisor configured with the "admin login console" to highlight here: network, security & oVirt (RHEV Manager interfacing -NL- carried out and bind a certificate) -NL- -> Installation/configuration/administration RedHat iSCSI storage server -NL- New domain created and then integrated iSCSI target -NL- New ISO domain created and integrated ISO images (engine-iso-uploader list, v engine-iso-uploader upload-i ISO_Datastore) -NL- / opt/rhel-server-6.5-x86_64-dvd.iso) -NL- -> Installation/configuration/administration RedHat identity management -NL- -WebSphere Portal 8.5 Administration -NL- -> WebSphere Portal 8.5 installation -NL- → Administration with Web portal GUI -NL- Virtual hosts created -NL- Page templates and article of templates created and managed -NL- Installed portlets -NL- Portlets managed and administered XMLAccess -NL- Portlet security managed -NL- WCM management administration -NL- Requirements synchronized -NL- Portals "clustered" -NL- CMS integration -NL- IBM edited scriptlet portlet and Web experience factory -NL- Administered using command line tools -NL- -WINDOWS Server - System Administration (2003/2008r2/2012) -NL- -Nagios (OPSView) - Administration -NL- APACHE - Web Server Administration (security, hardening) -NL- -> Installation & configuration (RPM & source) RedHat 6.x -NL- After internal security & hardening "edited"-> httpd.conf -NL- Apache user and corresponding groups **`AXA`[EMPLOYER_COMPANY_NAME]** - compliant set -NL- Standard modules removed not needed -NL- Indexing removed -NL- Apache in various "jail" - LAN & DMZ environments installed, configured, and operated -NL- PHP security evaluated, tested, and implemented... php.ini etc. -NL- -Docker virtualization -NL- Installed-> docker package (docker & docker-registry) -NL- -> Firewall "disabled"... docker generates / uses its own iptables rules... -NL- Started-> docking with systemctl and "enabled" -NL- -> Docker registries for docker container "set" -NL- -> With docker pull images from registry.acces.com/rhel "caught"... docker -NL- -> With docker run v... docker images start and provide -NL- -> Management by Kubernetes installed and configured -NL- ->... With kubectl container creates and manages -NL- -WebLogic -NL- -MQSeries -NL- -Automation BMC server automation console -NL- -Citrix XenApp -NL- -VMware vSphere 5-1 / 5-5 -NL- -Cygwin - Server Administration -NL- -IIS - Administration -NL- -Bash shell scripting -NL- -PowerShell - v3/v4/v5 scripting -NL- Tasks / services (job description... English): -NL- -2nd - 3rd level support, incident, problem and change management; Application monitoring and reporting -NL- -Implementation of standard work request -NL- -Deployment of applications on Linux and Windows based infrastructure -NL- -Application Operations Manager activities (control of backup, monitoring, CMDB, blue print, documentation) -NL- -Improvement and extension of operational stability and performance -NL- -General technology system administration -NL- -Creation / improvement of operational guidelines, implementation guidelines and work instructions and necessary -NL- documentation for transition offirst and second-line tasks. -NL- **`Profile / skills`[WORK_EXPERIENCE_HEADING]** -NL- -Red in depth technical knowledge in Linux OS and Windows has -NL- OS (middleware & applications) -NL- -Depth technical knowledge in application server: JBOSS, Apache Tomcat, Apache HTTP and IIS. -NL- -Experience with one or more of the following technologies is to advantage: network knowledge (basic TCP/IP...), scripting (shell, -NL- Perl,...), Nagios, WebSphere MQ Series, WebSphere Application Server,. -NL- -Technical writing skills to write the proper documentation according to internal regulations -NL- -Flexibility in working hours is required (occasional over-time or weekend/holiday work) -NL- -On-call permanency is possible -NL- -Strong tracking, coordination and planning skills -NL- -Ability to identify and implement process and / or application improvements -NL- -Strong analytical and problem-solving skills -NL- -Must be able to work on multiple simultaneous tasks with limited supervision. -NL- -Ability to work effectively under pressure. -NL- -Quick learner, motivated self starter -NL- -Excellent customer service, interpersonal, communication and team collaboration skills -NL- -Able to follow change management procedures and internal guidelines -NL- -Able to work in a global team and in a multiple cultural environment. -NL- -Able to work in organization based on ITIL model. -NL- -Language requirements: Local language (French and / or Dutch for Belgium;) German for Germany) + English (mandatory) -NL- Expertise: -NL- -Linux OS -NL- -Windows OS -NL- -Virtualisierungskenntnisse (VMware, HyperV, RedHat RHEV) -NL- -ITIL knowledge -NL- -JBoss knowledge -NL- -Apache knowledge -NL- -Tomcat knowledge -NL- -IIS knowledge -NL- -Nagios and HP BSM skills (nice to have) -NL- -Scripting knowledge -NL- Languages: German / English -NL- Technologies: HTML5, CSS3, JavaScript, AngularJS, gulp, npm, git, JIRA -NL- **`Education`[EDUCATION_HEADING]** -NL- 1988 – 1990 **`Kaufmaennisches Berufskolleg II `[EDUCATION_INSTITUTE]**-NL- 1997 – 1998 **`Fachhochschule Pforzheim`[EDUCATION_INSTITUTE]** (Wirtschaftsinformatik) without diploma -NL- Additional -NL- IT: -NL- SAP R3, Visio, C++, C#, Java, Java Script, PHP und MySQL, Oracle, MSSQL, Middleware, Nagios, -NL- Puppet, Vagrant, Ansible, Chef, Ruby, Python, vCenter 5/6, ESXI 5/6, SAP R/3 ECC 6, -NL- **`Languages:`[OTHERS_HEADING]** -NL- german (very good) -NL- englisch(fluent) -NL- turkish (mother tongue) -NL- **`IT specific Education:`[EDUCATION_HEADING]** -NL- INE – Introduction to Python Programming for Network Engineers -NL- INE – Java Fundamentals for Network Engineers -NL- INE – Linux Fundamentals for Network Engineers -NL- INE – Python Programming for Network Engineers -NL- INE – Shell Scripting Fundamentals for Network Engineers -NL- INE – Task Automation for Network Engineers (TCL:EXPECT) -NL- INE – Vagrant Fundamentals for Network Engineers -NL- INE – CCIE Data Center -NL- INE – CCNA Wireless (640-722) -NL- Introduction to Docker / Docker Deep Dive -NL- LFCS Linux Essentials (RedHat/CentOS 7.x) -NL- LFCS Linux Operation Essentials (RedHat/CentOS 7.X) -NL- LFCS: Linux User and Groups Management -NL- LFCS: Linux Storage Management -NL- LFCS: Linux Networking -NL- LFCS: Linux Service Management -NL- LFCS: Linux Virtualization Management -NL- Microsoft Professional Programm in Cloud Admin -NL- 